## libapache-mod-gzip 1.3.26.1a

=== Makefile ===

APXS?=/usr/local/sbin/apxs
RM=/bin/rm

build:
	$(APXS) -Wc,-Wall,-O3,-fomit-frame-pointer,-pipe -c mod_gzip.c mod_gzip_debug.c mod_gzip_compress.c -o mod_gzip.so

install:
	$(APXS) -A -i mod_gzip.so

clean:
	$(RM) -rf *.o

distclean: clean
	$(RM) -f mod_gzip.so

## libapache-mod-gzip 1.3.26.1a-5.1

=== Makefile ===
APXS?=/usr/bin/apxs
RM=/bin/rm

build:
	$(APXS) -Wc,-Wall,-O3,-fomit-frame-pointer,-pipe -c mod_gzip.c mod_gzip_debug.c mod_gzip_compress.c -o mod_gzip.so

install:
	install -s -m 644 mod_gzip.so $(DESTDIR)/usr/lib/apache/1.3
	install -m 644 510mod_gzip.info $(DESTDIR)/usr/lib/apache/1.3

clean:
	$(RM) -rf *.o

distclean: clean
	$(RM) -f mod_gzip.so

=== debian/changelog ===
libapache-mod-gzip (1.3.26.1a-5.1) unstable; urgency=low

  * NMU
  * removed libdb4.1-dev from dependencies. Closes: #244794

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 26 May 2004 20:59:43 +0200

libapache-mod-gzip (1.3.26.1a-5) unstable; urgency=low

  * Updated dependency on apache-common to 1.3.28-1 (needs
    modules-config for installation)
  * Updated build-depends. Closes: #219557

 -- Ryszard Lach <rla@debian.org>  Fri,  7 Nov 2003 12:17:24 +0100

libapache-mod-gzip (1.3.26.1a-4) unstable; urgency=low

  * Updated .info file. Closes: #214480 
  * Rewritten postinst and prerm scripts

 -- Ryszard Lach <rla@debian.org>  Thu,  6 Nov 2003 16:46:21 +0100

libapache-mod-gzip (1.3.26.1a-3) unstable; urgency=low

  * Updated build-depends. Closes: #191558

 -- Ryszard Lach <rla@debian.org>  Tue,  6 May 2003 22:32:59 +0200

libapache-mod-gzip (1.3.26.1a-2) unstable; urgency=low

  * Applied name clash patch from Arkadiusz Miskiewicz. Closes: #151867
  

 -- Ryszard Lach <rla@debian.org>  Fri, 25 Apr 2003 22:07:43 +0200

libapache-mod-gzip (1.3.26.1a-1) unstable; urgency=low

  * New upstream release. Closes: #165166, #156533

 -- Ryszard Lach <rla@debian.org>  Sun, 15 Dec 2002 22:49:10 +0100

libapache-mod-gzip (1.3.19.1a-6.1) unstable; urgency=low

  * NMU
  * No longer links against (nonexistent) libdb.so.2

 -- Pawel Wiecek <coven@debian.org>  Wed, 14 Aug 2002 10:34:56 +0200

libapache-mod-gzip (1.3.19.1a-6) unstable; urgency=low

  * Recompiled with 1.3.26 apache headers.
  * Adding integration with apache(-ssl) config  (Closes: #151199)

 -- Ryszard Lach <rla@debian.org>  Wed, 10 Jul 2002 13:07:18 +0200

libapache-mod-gzip (1.3.19.1a-5) unstable; urgency=low

  * Increased apache versions in Depends and Build-Depends. 

 -- Ryszard Lach <rla@debian.org>  Mon, 25 Feb 2002 16:37:38 +0100

libapache-mod-gzip (1.3.19.1a-4) unstable; urgency=low

  * Fixed typo in destription. (closes: #124884)
  * Modified README.Debian. (closes: #119555)

 -- Ryszard Lach <rla@debian.org>  Tue, 18 Dec 2001 16:59:09 +0100

libapache-mod-gzip (1.3.19.1a-3) unstable; urgency=low

  * Added checking of existence of apache-sslctl before apache-ctl in postinst
    (closes: #108676)

 -- Ryszard Lach <rla@debian.org>  Sat, 25 Aug 2001 22:31:19 +0200

libapache-mod-gzip (1.3.19.1a-2) unstable; urgency=low

  * Added checking of existance of /etc/apache/httpd.conf in postrm
  	(closes: #107273)

 -- Ryszard Lach <rla@debian.org>  Thu,  2 Aug 2001 16:55:25 +0200

libapache-mod-gzip (1.3.19.1a-1) unstable; urgency=low

  * Initial Release.

 -- Ryszard Lach <rla@id.pl>  Mon, 19 Mar 2001 12:57:01 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libapache-mod-gzip
Section: web
Priority: optional
Maintainer: Ryszard Lach <rla@debian.org>
Build-Depends: debhelper (>= 4.1), apache-dev (>= 1.3.18-1)
Standards-Version: 3.5.2

Package: libapache-mod-gzip
Architecture: any
Depends: apache-common (>= 1.3.28-1), ${shlibs:Depends}
Description: HTTP compression module for Apache
 This module adds 'on the fly' compression of HTTP content to
 any Apache Web Server. It uses the IETF Content-encoding standard(s).
 .
 It will compress both static files and the output of any CGI
 program including shell scripts, perl scripts, executables,
 PHP used as CGI, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make by Ryszard Lach
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
